part of 'store_info_bloc.dart';

abstract class StoreInfoEvent {}

class StoreLogoChanged extends StoreInfoEvent {
  final String imagePath;
  StoreLogoChanged(this.imagePath);
}

class StoreNameChanged extends StoreInfoEvent {
  final String name;
  StoreNameChanged(this.name);
}

class ActivityTypeChanged extends StoreInfoEvent {
  final String activityTypeId;
  ActivityTypeChanged(this.activityTypeId);
}


class ProvinceChanged extends StoreInfoEvent {
  final String province;
  ProvinceChanged(this.province);
}

class CityChanged extends StoreInfoEvent {
  final String city;
  CityChanged(this.city);
}

class AddressChanged extends StoreInfoEvent {
  final String address;
  AddressChanged(this.address);
}

class PlaqueChanged extends StoreInfoEvent {
  final String plaque;
  PlaqueChanged(this.plaque);
}

class PostalCodeChanged extends StoreInfoEvent {
  final String postalCode;
  PostalCodeChanged(this.postalCode);
}

class StoreLocationChanged extends StoreInfoEvent {
  final double latitude;
  final double longitude;

  StoreLocationChanged({required this.latitude, required this.longitude});
}

class ContactPhoneChanged extends StoreInfoEvent {
  final String phone;
  ContactPhoneChanged(this.phone);
}

class LicenseNumberChanged extends StoreInfoEvent {
  final String license;
  LicenseNumberChanged(this.license);
}

class WorkingScheduleChanged extends StoreInfoEvent {
  final List<String> days;
  final String startTime;
  final String endTime;

  WorkingScheduleChanged({
    required this.days,
    required this.startTime,
    required this.endTime,
  });
}

class StoreFeatureAdded extends StoreInfoEvent {}

class StoreFeatureRemoved extends StoreInfoEvent {
  final int index;
  StoreFeatureRemoved(this.index);
}

class StoreFeatureUpdated extends StoreInfoEvent {
  final int index;
  final String value;
  StoreFeatureUpdated(this.index, this.value);
}


class SubmitStoreInfo extends StoreInfoEvent {}